using System; 
using Server; 
using Server.Gumps; 
using Server.Network;
using Server.Items;
using Server.Mobiles;
using Server.Commands;

namespace Server.Gumps
{ 
   public class NorivarGump : Gump 
   { 
      public static void Initialize() 
      { 
         CommandSystem.Register( "NorivarGump", AccessLevel.GameMaster, new CommandEventHandler( NorivarGump_OnCommand ) ); 
      } 

      private static void NorivarGump_OnCommand( CommandEventArgs e ) 
      { 
         e.Mobile.SendGump( new NorivarGump( e.Mobile ) ); 
      } 

      public NorivarGump( Mobile owner ) : base( 50,50 ) 
      { 
//----------------------------------------------------------------------------------------------------

				AddPage( 0 );
			AddImageTiled(  54, 33, 369, 400, 2624 );
			AddAlphaRegion( 54, 33, 369, 400 );

			AddImageTiled( 416, 39, 44, 389, 203 );
//--------------------------------------Window size bar--------------------------------------------
			
			AddImage( 97, 49, 9005 );
			AddImageTiled( 58, 39, 29, 390, 10460 );
			AddImageTiled( 412, 37, 31, 389, 10460 );
			AddLabel( 140, 60, 0x34, "The Quest of Endless Peril" );
			

			AddHtml( 107, 140, 300, 230, "<BODY>" +
//----------------------/----------------------------------------------/
"<BASEFONT COLOR=YELLOW>*Norivar na tebe pohlédl a usmál se*...<BR><BR>Buď pozdraven cizinče. Jsem kovářský velmistr Norivar..<BR>" +
"<BASEFONT COLOR=YELLOW>Ah, Vidím ze si prohlížíš můj štít, také bys chtěl vlastnit jeden z těchto vzácných kousků?<BR><BR>Mohl bych pro tebe jeden vyrobit. " +
"<BASEFONT COLOR=YELLOW>Umím ukovat věci nevídané, ale potřebuji pro své kovářské umění přísady. Abych mohl ukovat štít s vlastnosmi jako má ten můj potřebuji 35 kusů Ancient Myrhu. Tuto vzácnou přísadu najdeš jen u koní jménem Dartmoor.<BR><BR>Na světě je již jen velmi málo těchto monster, která však není snadné porazit. Chceš li tento vzácný štít vlastnit, dozajista najdeš dost odvahy, aby si tyto koně vyhledal a přísadu mi přinesl.<BR><BR>Přeji ti hodně štěstí." +
						     "</BODY>", false, true);
			

			AddImage( 430, 9, 10441);
			AddImageTiled( 40, 38, 17, 391, 9263 );
			AddImage( 6, 25, 10421 );
			AddImage( 34, 12, 10420 );
			AddImageTiled( 94, 25, 342, 15, 10304 );
			AddImageTiled( 40, 427, 415, 16, 10304 );
			AddImage( -10, 314, 10402 );
			AddImage( 56, 150, 10411 );
			AddImage( 155, 120, 2103 );
			AddImage( 136, 84, 96 );

			AddButton( 225, 390, 0xF7, 0xF8, 0, GumpButtonType.Reply, 0 ); 

//--------------------------------------------------------------------------------------------------------------
      } 

      public override void OnResponse( NetState state, RelayInfo info ) //Function for GumpButtonType.Reply Buttons 
      { 
         Mobile from = state.Mobile; 

         switch ( info.ButtonID ) 
         { 
            case 0: //Case uses the ActionIDs defenied above. Case 0 defenies the actions for the button with the action id 0 
            { 
               //Cancel 
               from.SendMessage( "The Glory of the Church is behind you, if your faith is strong you shall not fail.  Safe Journies!" );
               break; 
            } 

         }
      }
   }
}
 
